Page MenuHomePhabricator

Move lead paragraph above other article content
Closed, DuplicatePublic

Description

Beta/Alpha

Move the first paragraph above the infobox so that we can test the lead image prototype.

https://docs.google.com/presentation/d/1Apabrcu1l7mfeEJgl1k-pcovtmPys4P7FwUJ2-_etIs/edit?usp=sharing

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedJdlrobson
DeclinedNone
DuplicateNone
DeclinedNone
DeclinedNone
Resolvedssastry
Resolved bearND
Resolved bearND
Resolved bearND
Resolved bearND
OpenNone
ResolvedJhernandez
OpenNone
Resolved marcoil
ResolvedCatrope
Resolved marcoil
ResolvedArlolra
ResolvedArlolra
Resolved GWicke
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolved AlexMonk-WMF
Resolvedsanthosh
Resolvedssastry
ResolvedMholloway
ResolvedJackmcbarn
ResolvedRenxiaoyi
Resolvedcscott
ResolvedKelson
OpenNone
OpenNone
OpenNone
ResolvedArlolra
ResolvedArlolra
OpenNone
DeclinedNone
StalledRenxiaoyi
OpenNone
DeclinedNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
InvalidNone
InvalidNone
DuplicateNone
DuplicateNone
ResolvedJhernandez
ResolvedJdlrobson
DuplicatePeter
Resolvedbmansurov
DeclinedNone
DuplicateNone
Resolvednray
Resolvedphuedx
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedEBernhardson
ResolvedAnomie
ResolvedAnomie
OpenNone
DuplicateNone
ResolvedNone
Resolvedphuedx
DeclinedNone

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
KHammerstein added a subscriber: KHammerstein.

On apps we started moving infoboxes down, but found it's much better (fewer edge case etc) to move the first "good" paragraph up. See: https://gerrit.wikimedia.org/r/#/c/192452/

KLans_WMF triaged this task as Medium priority.Mar 13 2015, 8:46 PM
KLans_WMF set Security to None.

To avoid a flash of unstyled content, we may want to hide the infobox by default (in some top-loaded CSS), move the infobox below the lead, and then unhide it. If the lead takes up at least the first screen, there should be no flash for the user. Probably the only way to guarantee no flash of unstyled content is to move the infobox on the server-side, but that would introduce caching complications.

KHammerstein renamed this task from Move infobox below lead section in article to Move infobox below lead section in article (beta).May 6 2015, 5:28 AM

This shouldn't be applied when the user has images turned off.

@MaxSem What would be the caching implications of implementing this on the server-side (both for a beta implementation and a later stable implementation)?

There would be a noticeable latency increase for cache misses on large articles if just done in MobileFormatter without architectural changes. A more elaborate solution would be to adapt someting like apps' pageview service (that would however not depend on mobileview API, doing everything itself) and pregenerate a massaged HTML, storing it in Cassandra.

Apparently Varnish already varies the cache based on alpha, beta, or stable, so we wouldn't be making the cache fragmentation worse at least. Max also mentioned that we could take the opportunity to strip the navbox HTML from the output at the same time, which sometimes takes up as much as 60K.

This whole thing seems like a slightly bad idea, but if we're going to do it, it seems like it would make more sense to do it on the server-side, IMO. That at least provides smooth, predicable behavior for the user (apart from the caching issues, which would be temporary).

/me wonders if we would be better waiting for Parsoid or at least introducing Parsoid to alpha.

KHammerstein renamed this task from Move infobox below lead section in article (beta) to Move lead paragraph above other article content.Jun 4 2015, 10:32 PM

Changed the title based on @Mhurd's comment:
On apps we started moving infoboxes down, but found it's much better (fewer edge case etc) to move the first "good" paragraph up. See: https://gerrit.wikimedia.org/r/#/c/192452/